Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problemi durante l'upgrade di expat [risolto con pezza]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page Previous  1, 2, 3, 4, 5, 6  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
sanzo77
Apprentice
Apprentice


Joined: 28 Oct 2006
Posts: 168
Location: roma

PostPosted: Tue Oct 09, 2007 5:15 pm    Post subject: Reply with quote

Io non so + che pesci prendere, le sto provando tutte ma questo revdep-rebuild non riesce a terminare, vi posto l'output di revdep-rebuild -pv cosi' vi potete fare un idea, ho fatto anche un emerge --depclean prima di un nuovo revdep, mi ha tolto un bel po' di roba ma niente

Code:

revdep-rebuild -pv
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
  (/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
  broken /usr/bin/amarok (requires  libexpat.so.0)
  broken /usr/bin/amarokapp (requires  libexpat.so.0)
  broken /usr/bin/amarokcollectionscanner (requires  libexpat.so.0)
  broken /usr/bin/gcdmaster (requires  libatkmm-1.6.so.1)
  broken /usr/bin/gnome-mount (requires  libexpat.so.0)
  broken /usr/bin/vlc (requires  libdvbpsi.so.1)
  broken /usr/bin/wxrc-2.6 (requires  libexpat.so.0)
  broken /usr/lib/audacious/General/libcurl.so (requires  libcurl.so.3)
  broken /usr/lib/audacious/General/libscrobbler.so (requires  libcurl.so.3)
  broken /usr/lib/evolution-data-server-1.2/extensions/libebookbackendfile.so (requires  libdb-4.2.so)
  broken /usr/lib/evolution-data-server-1.2/extensions/libebookbackendgroupwise.so (requires  libdb-4.2.so)
  broken /usr/lib/gimp/2.0/plug-ins/jpeg (requires  libexif.so.10)
  broken /usr/lib/gimp/2.0/plug-ins/wmf (requires  libwmf-0.2.so.7 libwmflite-0.2.so.7)
  broken /usr/lib/kde3/konqsidebar_universalamarok.so (requires  libexpat.so.0)
  broken /usr/lib/kde3/libamarok_generic-mediadevice.so (requires  libexpat.so.0)
  broken /usr/lib/kde3/libamarok_massstorage-device.so (requires  libexpat.so.0)
  broken /usr/lib/kde3/libamarok_nfs-device.so (requires  libexpat.so.0)
  broken /usr/lib/kde3/libamarok_smb-device.so (requires  libexpat.so.0)
  broken /usr/lib/kde3/libamarok_void-engine_plugin.so (requires  libexpat.so.0)
  broken /usr/lib/kde3/libamarok_xine-engine.so (requires  libexpat.so.0)
  broken /usr/lib/libaprutil-0.so.0.9.12 (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/lib/libedata-book-1.2.so.2.3.1 (requires  libdb-4.2.so)
  broken /usr/lib/libedataserver-1.2.so.7.1.1 (requires  libdb-4.2.so)
  broken /usr/lib/libglademm-2.4.so.1.0.5 (requires  libatkmm-1.6.so.1)
  broken /usr/lib/libgnomecanvasmm-2.6.so.1.0.5 (requires  libatkmm-1.6.so.1)
  broken /usr/lib/libgnomeuimm-2.6.so.1.0.3 (requires  libatkmm-1.6.so.1)
  broken /usr/lib/libgphoto2.so.2.1.1 (requires  libexif.so.10)
  broken /usr/lib/libgphoto2/2.2.1/canon.so (requires  libexif.so.10)
  broken /usr/lib/libgphoto2/2.2.1/directory.so (requires  libexif.so.10)
  broken /usr/lib/libgphoto2/2.2.1/sierra.so (requires  libexif.so.10)
  broken /usr/lib/libgphoto2/print-camera-list (requires  libexif.so.10)
  broken /usr/lib/libgphoto2/print-usb-usermap (requires  libexif.so.10)
  broken /usr/lib/libvlc.so.0.0.0 (requires  libdvbpsi.so.1)
  broken /usr/lib/libwx_base_xml-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/lib/libwx_baseu_xml-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/lib/libwx_gtk2_gizmos_xrc-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/lib/libwx_gtk2u_gizmos_xrc-2.6.so.0.3.1 (requires  libexpat.so.0)
  broken /usr/lib/openoffice/program/deployment680li.uno.so (requires  libdb-4.3.so)
  broken /usr/lib/openoffice/program/librecentfile.so (requires  libexpat.so.0)
  broken /usr/lib/openoffice/program/libtvhlp1.so (requires  libexpat.so.0)
  broken /usr/lib/openoffice/program/libucpchelp1.so (requires  libdb-4.3.so libexpat.so.0)
  broken /usr/lib/openoffice/program/libucpftp1.so (requires  libcurl.so.3)
  broken /usr/lib/openoffice/program/pkgchk.bin (requires  libdb-4.3.so)
  broken /usr/lib/openoffice/program/sax.uno.so (requires  libexpat.so.0)
  broken /usr/lib/python2.4/lib-dynload/_bsddb.so (requires  libdb-4.3.so)
  broken /usr/lib/sasl2/libsasldb.so.2.0.22 (requires  libdb-4.3.so)
  broken /usr/lib/vlc/codec/libffmpeg_plugin.so (requires  libavformat.so.50)
  broken /usr/lib/vlc/codec/libflacdec_plugin.so (requires  libFLAC.so.7)
  broken /usr/lib/vlc/demux/libts_plugin.so (requires  libdvbpsi.so.1)
  broken /usr/lib/vlc/stream_out/libstream_out_switcher_plugin.so (requires  libavformat.so.50)
  broken /usr/libexec/camel-index-control-1.2 (requires  libdb-4.2.so)
  broken /usr/libexec/camel-lock-helper-1.2 (requires  libdb-4.2.so)
  broken /usr/libexec/evolution-data-server-1.8 (requires  libdb-4.2.so)
  broken /usr/sbin/ab2 (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/ab2-ssl (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/apache2 (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/checkgid2 (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/hald (requires  libexpat.so.0)
  broken /usr/sbin/htdbm (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/htdigest2 (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/htpasswd2 (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/httxt2dbm (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/logresolve2 (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/pluginviewer (requires  libdb-4.3.so)
  broken /usr/sbin/rotatelogs2 (requires  libdb-4.2.so libexpat.so.0)
  broken /usr/sbin/saslauthd (requires  libdb-4.3.so)
  broken /usr/sbin/sasldblistusers2 (requires  libdb-4.3.so)
  broken /usr/sbin/saslpasswd2 (requires  libdb-4.3.so)
  broken /usr/lib/libaprutil-0.la (requires /usr/lib/libdb-4.2.la)
  broken /usr/lib/libglademm-2.4.la (requires /usr/lib/libatkmm-1.6.la)
  broken /usr/lib/libgnomecanvasmm-2.6.la (requires /usr/lib/libatkmm-1.6.la)
  broken /usr/lib/libgnomeuimm-2.6.la (requires /usr/lib/libatkmm-1.6.la)
  broken /usr/lib/sasl2/libsasldb.la (requires /usr/lib/libdb-4.3.la)
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... done.
  (/root/.revdep-rebuild.4_ebuilds)

Evaluating package order...
Warning: Failed to resolve package order.
Will merge in "random" order!
Possible reasons:
- An ebuild is no longer in the portage tree.
- An ebuild is masked, use /etc/portage/packages.keyword
  and/or /etc/portage/package.unmask to unmask it
..... done.
  (/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot -pv =dev-cpp/libgnomeuimm-2.12.0 =dev-cpp/libglademm-2.6.2 =dev-cpp/libgnomecanvasmm-2.12.0 =x11-libs/wxGTK-2.6.3.3 =gnome-base/gnome-mount-0.4-r5 =media-gfx/gimp-2.2.14 =media-libs/libgphoto2-2.2.1-r1 =sys-apps/hal-0.5.7.1-r5 =app-office/openoffice-2.1.0-r1 =dev-lang/python-2.4.4-r5 =dev-libs/apr-util-0.9.12 =dev-libs/cyrus-sasl-2.1.22-r2 =media-sound/amarok-1.4.5-r1 =media-video/vlc-0.8.6-r1 =gnome-extra/evolution-data-server-1.8.2 =app-cdr/cdrdao-1.2.1-r1 =media-plugins/audacious-plugins-1.3.3 =www-servers/apache-2.0.58-r2
..........

These are the packages that would be merged, in order:

Calculating dependencies /
emerge: there are no ebuilds to satisfy "=dev-cpp/libgnomeuimm-2.12.0".


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run revdep-rebuild
    or
- use -X or --package-names as first argument (trys to rebuild package, not exact
  ebuild)
    or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
  (and remove /root/.revdep-rebuild.5_order to be evaluated again)
    or
- modify the above emerge command and run it manually
    or
- compile or unmerge unsatisfied packages manually, remove temporary files and
  try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*


Vi prego di aiutarmi, plz :oops: :oops:
_________________
emh... scusa... ma tu ce lo hai google su quel computer???
Back to top
View user's profile Send private message
!equilibrium
Bodhisattva
Bodhisattva


Joined: 06 Jun 2004
Posts: 2109
Location: MI/BG/LC

PostPosted: Tue Oct 09, 2007 5:24 pm    Post subject: Reply with quote

sanzo77 wrote:
Calculating dependencies /
emerge: there are no ebuilds to satisfy "=dev-cpp/libgnomeuimm-2.12.0".
Vi prego di aiutarmi, plz :oops: :oops:


non trova quella specifica versione del pacchetto libgnomeuimm, siccome in precedenza hai detto che non usi gnome, rimuovilo e ridai "revdep-rebuild -X" (NOTA: il paramentro -X va messo, nel log che hai incollato non c'è)
_________________
Arch Tester for Gentoo/FreeBSD
Equilibrium's Universe

all my contents are released under the Creative Commons Licence by-nc-nd 2.5
Back to top
View user's profile Send private message
sanzo77
Apprentice
Apprentice


Joined: 28 Oct 2006
Posts: 168
Location: roma

PostPosted: Tue Oct 09, 2007 6:04 pm    Post subject: Reply with quote

Ok, grazie, mentre attendevo mi sono messo a compilare i pacchetti che mi restituiva revdep 1 x 1, cmq finito il prossimo riprovo revdep-rebuild e vedo che mi dice togliendo il pacchetto incriminato di prima.
Cmq -X glielo davo quando lo facevo, me lo sono dimenticato quando ho fatto il -pv x farmi dare la lista... ecco forse xchè nn trova gli ebuild ^^
Ti faccio sapere cmq, grazie.
_________________
emh... scusa... ma tu ce lo hai google su quel computer???
Back to top
View user's profile Send private message
sanzo77
Apprentice
Apprentice


Joined: 28 Oct 2006
Posts: 168
Location: roma

PostPosted: Wed Oct 10, 2007 8:15 am    Post subject: Reply with quote

Piano piano sto venendo a galla, ieri si sono sommati ai problemi gia' noti dei problemini con il bashrc-ng, cmq sembra che le cose ora girino meglio, se solo il sistema non avesse deciso di aggiornare anche openoffice :cry: :cry: quando avra' finito saro' gia' laureato :cry:
Al momento il revdep cerca di ricompilare 7 pacchetti... speriamo bene :D
_________________
emh... scusa... ma tu ce lo hai google su quel computer???
Back to top
View user's profile Send private message
Tiro
l33t
l33t


Joined: 14 Feb 2003
Posts: 752
Location: italy

PostPosted: Sat Nov 17, 2007 9:52 pm    Post subject: aggiornamento expat = disastro Reply with quote

ho aggiornato expat da 1.95.8 a 2.00.0 ed è stato un disastro per tutto il giorno: mplayer, kaffeine, firefox davano tutti un bel:

Code:
$ mplayer file.avi
mplayer: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory



...mmm alchè le ho provate tutte, ho riemerso i pacchetti, ho dato revdep-rebuild ma nulla...alla fine riemergendo:

Code:
 emerge =expat-1.95.8 -v     


kaffeine e firefox hanno ripreso a funzionare ma...mplayer invece ha continuato a dare problemi:

Code:
$ mplayer file.avi
mplayer: error while loading shared libraries: libexpat.so.1: cannot open shared object file: No such file or directory


...libexpat.so.1 e non libexpat.so.0 come mi ha chiesto per tutto il giorno!!!

alla fine ho fatto funzionare tutto di nuovo riemergendo ancora una volta mplayer e mantenendo la versione di expat 1.95.8 ma non ho ancora capito come si possa aggiornare questa libreria senza danni...
Back to top
View user's profile Send private message
Super_Treje
n00b
n00b


Joined: 15 Nov 2007
Posts: 43
Location: Roma, Pescara

PostPosted: Sat Nov 17, 2007 10:00 pm    Post subject: Reply with quote

Squadra che vince non si cambia! :)
E le librerie sono come donne furiose = bisogna prenderle per le molle :D
_________________
Che dio ce la mandi bona, o cmq almeno un po' gnocca :D :P
Back to top
View user's profile Send private message
MajinJoko
l33t
l33t


Joined: 20 Sep 2005
Posts: 639
Location: Bergamo / Verona

PostPosted: Sat Nov 17, 2007 10:23 pm    Post subject: Reply with quote

https://forums.gentoo.org/viewtopic-t-499167.html

qui trovi il link al thread dedicato.

Ciao
_________________
[(.. watashi wa Urumi Kanzaki ga suki da ..)]
Back to top
View user's profile Send private message
lavish
Bodhisattva
Bodhisattva


Joined: 13 Sep 2004
Posts: 4296

PostPosted: Sat Nov 17, 2007 11:23 pm    Post subject: Reply with quote

Fatto il merge del thread aperto da Tiro. Fare una piccola ricerca con keyword expat era chiedere troppo?

Super_Treje wrote:
Squadra che vince non si cambia! :)
E le librerie sono come donne furiose = bisogna prenderle per le molle :D

Ah queste perle di saggezza ... :roll:
_________________
minimalblue.com | secgroup.github.io/
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2413
Location: イタリアのロディで

PostPosted: Sun Nov 18, 2007 9:15 am    Post subject: Reply with quote

lavish wrote:
Fatto il merge del thread aperto da Tiro. Fare una piccola ricerca con keyword expat era chiedere troppo?

Super_Treje wrote:
Squadra che vince non si cambia! :)
E le librerie sono come donne furiose = bisogna prenderle per le molle :D

Ah queste perle di saggezza ... :roll:


Dove le hanno le molle le donne? :lol:
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6
Page 6 of 6

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum